Package Details: sile-luajit 0.13.1-1

Git Clone URL: https://aur.archlinux.org/sile-luajit.git (read-only, click to copy)
Package Base: sile-luajit
Description: The SILE Typesetter, a modern typesetting system inspired by LaTeX, customizable in Lua
Upstream URL: https://www.sile-typesetter.org
Licenses: MIT
Conflicts: sile
Provides: libtexpdf.so, sile
Submitter: alerque
Maintainer: alerque
Last Packager: alerque
Votes: 0
Popularity: 0.000000
First Submitted: 2020-08-14 16:39 (UTC)
Last Updated: 2022-06-18 18:22 (UTC)

Required by (3)

Sources (1)

Latest Comments

alerque commented on 2021-08-10 12:06 (UTC)

Thanks @fbrennan, and good catch. The compat53 is a bug in this packaging, bit32 is actually an upstream SILE bug (issue here). It should not be required for LuaJIT since the embedded bit library is compatible with our bitshim.lua.

fbrennan commented on 2021-08-10 11:49 (UTC)

Required libraries are missing from the manifest:

  • lua51-bit32
  • lua51-compat53

Package installs fine with these.